motv(1)

NAME
motv - a Motif program for watching TV

SYNOPSIS
motv [ options ] [ station name ]

DESCRIPTION
motv is a Motif application for watching TV with your unix box.

It is basically xawtv with a more userfriendly GUI. It has the same features, uses the same config file, has the same command line switches, you can control it using xawtv-remote. Most keyboards shortcuts are identical too.

OPTIONS
All command line options also have a Resource, so you can put them into your .Xdefaults file too.

-h, -help
    Print a short description of all command line options.

-hwscan
    Print a list of available devices.

-f, -fullscreen
    startup in fullscreen mode.
    Resource: motv.fullscreen (bool).

-n, -noconf
    don't read the config file ($HOME/.xawtv).
    Resource: motv.readconfig (bool).

-o, -outfile base
    set basestring for the snapshot output files. The filename will be "base-timestamp-nr.ext".
    Resource: motv.basename (string).

-c, -device device
    set video4linux device (default is /dev/video0). This option also disables Xvideo support.
    Resource: motv.device (string).

-D, -driver name
    set video4linux driver (default is "libv4l"). This option also disables Xvideo support.
    Resource: motv.driver (string).

-C, -dspdev device
    set audio device (default is /dev/dsp).
    Resource: motv.dspdev (string).

-vbidev device
    set vbi device (default is /dev/vbi0).
    Resource: motv.vbidev (string).

-c, -xvport number
    set Xvideo port (defaults to the first usable if Xvideo is available). This option also enables Xvideo support.
    Resource: motv.xvport (int).

-joydev device
    joystick device to use for controlling xawtv.
    Resource: xawtv.joydev (string).

-v, -debug level
    Be verbose, level may be 0 (default), 1 or 2. It exists just for debugging and trouble-shooting.
    Resource: motv.debug (int).

-remote
    X11 display is remote. This basically disables overlay mode, you might need this if xawtv fails to autodetect a remote X11 display.
    Resource: motv.remote (bool).

-b, -bpp n
    force xawtv into n bpp color depth. Works for switching between 15/16 and 24/32 bpp. This gets just passed through to v4l-conf(8).
    Resource: motv.bpp (int).

-shift n
    Shift the video display by n bytes. Try this if your video display is'nt within the xawtv window, some older matrox cards show this problem. This gets passed through to v4l-conf(8) too.
    Resource: motv.shift (int).

-fb Use the framebuffer device to determine the video framebuffer address (instead of the DGA extension). Yet another pass through argument.
    Resource: motv.fbdev (bool).

-xv/-noxv
    enable/disable the usage of the Xvideo extension altogether, i.e. -noxv has the same effect as both -noxv-video and -noxv-image switches (see below).
    Resource: xawtv.xv (bool).

-xv-video/-noxv-video
    enable/disable the usage of the Xvideo extension for video overlay (i.e. XvPutVideo). overlay mode uses this. default is on.
    Resource: xawtv.xvVideo (bool).

-xv-image/-noxv-image
    enable/disable the usage of the Xvideo extension for image scaling (i.e. XvPutImage). grabdisplay mode uses this. default is on.
    Resource: xawtv.xvImage (bool).

-vm/-novm
    enable/disable the usage of the VidMode extension, default is off. If there is a fullscreen video mode configured in the config file, the vidmode extension will be enabled automatically.
    Resource: motv.vidmode (bool).

-dga/-nodga
    enable/disable the usage of the DGA extension, default is on.
    Resource: motv.dga (bool).

-parallel n
    use n compression threads (default: one).
    Resource: xawtv.parallel (int).

The usual toolkit options like -geometry are supported too.

SUPPORTED HARDWARE / INTERFACES

v4l video4linux - the linux video capture API.

v4l2
    video4linux two - new, improved capture interface which fixes a number of v4l design bugs.

bktr
    FreeBSD / OpenBSD driver for bt848/878 grabber cards.

Xvideo
    X11 Extension for video devices. Note that the Xvideo extension does support overlay only, you can't capture images/movies if the Xvideo extension is used. On the other hand this is the only way to scaled video overlay (i.e. fullscreen without black borders @ 1024x748) if both hardware and xfree86 driver support it. See README.xfree4 for more details and hints on how to setup Xvideo.

GETTING STARTED
motv starts up with the TV window. The left mouse button shows a menu with all TV Stations (empty until you have defined some). The right mouse button brings up the control window.

The first time you have configure motv, i.e. set TV norm and frequency table to the correct values. Check if the hardware works correctly (if tuning does not work it is very likely a driver configuration issue). If the hardware operates fine, you can let motv look for TV stations (Options => Channel scan). The channel buttons have a context menu for deleting and editing. Don't forget to save your configuration when you are done.

You can also create/edit a config file with any text editor, see xawtvrc(5) for a description of the config file syntax. There are a number of config options which can only be set by editing the config file.

KEYBOARD SHORTCUTS
Some of them work in the TV window only. The cursor keys for example are used by the motif toolkit to allow full keyboard control of the GUI and therefore have other functions in the control window.

V            Video (Capture) on/off
A            Audio on/off
F            Fullscreen on/off
G            Grab picture (full size, ppm)
J            Grab picture (full size, jpeg)
Ctrl+G       Grab picture (window size, ppm)
Ctrl+J       Grab picture (window size, jpeg)
Ctrl+C       Copy to clipboard.
C            Popup Control Window
R            Popup AVI Recording Window
S            Popup Scale controls
Z            Channel Hopper (zapping, tune in every
	     station a few seconds)
Ctrl+Z       Fast Channel Hopping (grab the images for the
	     Channel Bottons)
up/down      tune up/down one channel
left/right   fine tuning
pgup/pgdown  station up/down (the ones you have in the config file)
space        next station (same as pgup)
backspace    previously tuned station
Ctrl+up      scan for next station
ESC,Q        Quit
+/-          Volume up/down (keypad)
Enter        mute (keypad)

BUGS
Bug reports with images attached go to /dev/null unseen.

motv depends on a correct driver configuration. If you can't tune TV stations even if the settings in the options window are correct it is very likely a driver issue.

SEE ALSO
xawtvrc(5), xawtv(1), fbtv(1), v4l-conf(8), mtt(1)
http://bytesex.org/xawtv/ (homepage)

AUTHOR
Gerd Knorr <kraxel@bytesex.org>

COPYRIGHT
Copyright (C) 1997-2001 Gerd Knorr <kraxel@bytesex.org> This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

MISC
Huh? Still with me? Looks like some people do read manuals carefully.